Subject: bug#45081: closed (Re: [bug#45081] [PATCH] gnu: stumpwm-with-slynk: Fix build error)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 10 Dec 2020 14:40:02 +0000

Your bug report

#45081: [PATCH] gnu: stumpwm-with-slynk: Fix build error

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45081: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45081
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#45081] [PATCH] gnu: stumpwm-with-slynk: Fix build error
From: Efraim Flashner <[email-masked]>
To: Niklas Eklund <[email-masked]>
Cc: [email-masked]
Date: Thu, 10 Dec 2020 16:39:09 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, Dec 06, 2020 at 09:52:01PM +0100, Niklas Eklund wrote:
> 
> I encountered the following error trying to build stumpwm-with-slynk:
> 
> While evaluating the form starting at line 13, column 0
>   of #P"/tmp/guix-build-stumpwm-with-slynk-20.11.drv-0/source/load-stumpwm.lisp":
> 
> debugger invoked on a SB-INT:SIMPLE-FILE-ERROR in thread
>   Can't create directory /homeless-shelter/
> 
> I found a similar issue mentioned on the internet and tried the suggested
> solution, which seems to work for me building in my development guix
> environment.
> 
> If there is a better place to add this setenv form please feel free to make a
> change to it :)
> 

Thanks! Patch pushed.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: [PATCH] gnu: stumpwm-with-slynk: Fix build error
From: Niklas Eklund <[email-masked]>
To: [email-masked]
Date: Sun, 06 Dec 2020 21:52:01 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I encountered the following error trying to build stumpwm-with-slynk:

While evaluating the form starting at line 13, column 0
  of #P"/tmp/guix-build-stumpwm-with-slynk-20.11.drv-0/source/load-stumpwm.lisp":

debugger invoked on a SB-INT:SIMPLE-FILE-ERROR in thread
  Can't create directory /homeless-shelter/

I found a similar issue mentioned on the internet and tried the suggested
solution, which seems to work for me building in my development guix
environment.

If there is a better place to add this setenv form please feel free to make a
change to it :)

Cheers